- Qt 6.7
- Active Qt
- QAxServer
- QAxFactory
- Qt 6.7.0 Reference Documentation

# Obsolete Members for QAxFactory

The following members of class QAxFactory are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Macros

`(deprecated)` | QAXFACTORY_DEFAULT(Class, ClassID, InterfaceID, EventID, LibID, AppID)

## Macro Documentation

### QAXFACTORY_DEFAULT(Class, ClassID, InterfaceID, EventID, LibID, AppID)

This macro is deprecated. We strongly advise against using it in new code.

This macro can be used to export a single QObject subclass Class a this COM server through an implicitly declared QAxFactory implementation.

This macro exports the class Class as a COM coclass with the CLSID ClassID. The properties and slots will be declared through a COM interface with the IID InterfaceID, and signals will be declared through a COM event interface with the IID EventID. All declarations will be in a type library with the id LibID, and if the server is an executable server then it will have the application id AppID.

     #include <qaxfactory.h>

     #include "theactivex.h"

     QAXFACTORY_DEFAULT(
         TheActiveX,                               // widget class
         "{01234567-89AB-CDEF-0123-456789ABCDEF}", // class ID
         "{01234567-89AB-CDEF-0123-456789ABCDEF}", // interface ID
         "{01234567-89AB-CDEF-0123-456789ABCDEF}", // event interface ID
         "{01234567-89AB-CDEF-0123-456789ABCDEF}", // type library ID
         "{01234567-89AB-CDEF-0123-456789ABCDEF}"  // application ID
     )

Note: This class has been deprecated in favor of QAXFACTORY_BEGIN().

See also QAXFACTORY_EXPORT().